;+
; NAME:
;	setusym
; PURPOSE: (one line)
;	Set the user defined symbol to be a filled circle (@ script).
; DESCRIPTION:
; CATEGORY:
;  Utility
; CALLING SEQUENCE:
;	setusym,sym
; INPUTS:
;	sym - Symbol to load into the user-defined type.
;		1 - Circle
;	      Positive ==> filled shape, negative ==> hollow shape.
; OPTIONAL INPUT PARAMETERS:
; KEYWORD PARAMETERS:
; OUTPUTS:
; COMMON BLOCKS:
; SIDE EFFECTS:
;	Redefines the user defined type (psym=8)
; RESTRICTIONS:
; MODIFICATION HISTORY:
;	Written by Marc W. Buie, Lowell Observatory, 1992 Sep 21
;-
pro setusym,sym

fil = 1

if sym lt 0 then fil = 0

i=findgen(21)
i=i/20.*2*!pi
x=sin(i)
y=cos(i)
usersym,x,y,fill=fil

end
